/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\demitel\dragon den\BloodWyrm.cs
Lines of code: 82
***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a blood wyrm corpse" )]
	public class BloodWyrm : BaseCreature
	{
		public override WeaponAbility GetWeaponAbility()
		{
			switch ( Utility.Random( 2 ) )
			{
				default:
				case 0: return WeaponAbility.BleedAttack;
				case 1: return WeaponAbility.InfectiousStrike;
				case 2: return WeaponAbility.TalonStrike;
			}
		}
		[Constructable]
		public BloodWyrm () : base( AIType.AI_Super, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 180;
			Name = "a blood wyrm";
			Hue = 1194;
			BaseSoundID = 362;

			SetStr( 2121, 3160 );
			SetDex( 101, 130 );
			SetInt( 386, 425 );

			SetHits( 2033, 2256 );

			SetDamage( 29, 32 );

			SetDamageType( ResistanceType.Physical, 80 );
			SetDamageType( ResistanceType.Poison, 20 );

			SetResistance( ResistanceType.Physical, 75, 80 );
			SetResistance( ResistanceType.Fire, 65, 75 );
			SetResistance( ResistanceType.Cold, 30, 40 );
			SetResistance( ResistanceType.Poison, 65, 80 );
			SetResistance( ResistanceType.Energy, 20, 30 );

			SetSkill( SkillName.Meditation, 120.0 );
			SetSkill( SkillName.Poisoning, 120.0 );
			SetSkill( SkillName.Necromancy, 120.0 );
			SetSkill( SkillName.SpiritSpeak, 120.0 );
			SetSkill( SkillName.MagicResist, 120.0 );
			SetSkill( SkillName.Tactics, 120.0 );
			SetSkill( SkillName.Wrestling, 120.0 );

			Fame = 18000;
			Karma = -18000;

			VirtualArmor = 130;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.SuperBoss, 5 );
			AddLoot( LootPack.FilthyRich );
			AddLoot( LootPack.Gems, Utility.Random( 53, 71 ) );
		}

		public override bool ReacquireOnMovement{ get{ return true; } }
		public override int TreasureMapLevel{ get{ return 4; } }
		public override int Meat{ get{ return 33; } }
		public override int Hides{ get{ return 104; } }
		public override bool StatLossAfterTame{ get{ return true; } }
		public override HideType HideType{ get{ return HideType.Horned; } }
		public override int Scales{ get{ return 35; } }
		public override Poison PoisonImmune{ get{ return Poison.Greater; } }
		public override ScaleType ScaleType{ get{ return ScaleType.Red; } }
		public override FoodType FavoriteFood{ get{ return FoodType.Meat; } }
		public override bool CanAngerOnTame { get { return true; } }

		public BloodWyrm( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();

			if ( Core.AOS && Body == 49 )
				Body = 180;
		}
	}
}